from kivy.utils import platform
from kivy.uix.label import Label

from kivy.core.window import Window
from kivy.app import App


class DemoApp(App):

    def build(self):
        self.keyboard = Window.request_keyboard(None, self)
        self.keyboard.bind(on_key_down=self._on_key_down)
        Window.size = (1024, 768)
        root = Label(text="Hello World", font_size=30, size=(200, 200))
        return root

    def _on_key_down(self, keyboard, keycode, text, modifiers):
        if keycode[1].upper() == 'Q':
            print Window.size
            print Window.width, Window.height
            self.stop()

if __name__ == "__main__":
   DemoApp().run()
